List Hooks

​

Query Parameters

  • values
    dealscompaniespeopleleads

Responses

  • application/json
  • application/json
Request Example for get/event_hooks/
curl 'https://crm.dreamhub.ai/api/v1/settings/event_hooks/?entity_type=deals' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "string",
    "name": "string",
    "description": "string",
    "entityType": "deals",
    "httpMethod": "POST",
    "endpointUrl": "string",
    "timeoutSeconds": 1,
    "headers": {
      "additionalProperty": "string"
    },
    "authType": "string",
    "authConfig": {
      "token": "string"
    },
    "fieldMappings": {
      "additionalProperty": "string"
    },
    "valueMappings": {
      "additionalProperty": {
        "additionalProperty": "string"
      }
    },
    "createdAt": "2026-09-29T00:03:19.647Z",
    "isDeleted": true
  }
]